summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/community/vsftpd/vsftpd.d
diff options
context:
space:
mode:
authorBob Igo <bob@stormlogic.com>2009-06-06 20:51:42 (GMT)
committerBob Igo <bob@stormlogic.com>2009-06-06 20:51:42 (GMT)
commit9c88cd43e4ac8a83bd5eb77616ba0d13f08a891a (patch)
tree8d92e12969a08ece07657486b877ad841fd31dcc /abs/extra-testing/community/vsftpd/vsftpd.d
parent8dd571de2d83b945fef01103fbe8c241e774f0e3 (diff)
parentc13eeafc9aa43d7b2c4a457987409e9da03af481 (diff)
downloadlinhes_pkgbuild-9c88cd43e4ac8a83bd5eb77616ba0d13f08a891a.zip
linhes_pkgbuild-9c88cd43e4ac8a83bd5eb77616ba0d13f08a891a.tar.gz
linhes_pkgbuild-9c88cd43e4ac8a83bd5eb77616ba0d13f08a891a.tar.bz2
merge, plus some robustness options for install_db_chroot.sh
Diffstat (limited to 'abs/extra-testing/community/vsftpd/vsftpd.d')
-rw-r--r--abs/extra-testing/community/vsftpd/vsftpd.d40
1 files changed, 40 insertions, 0 deletions
diff --git a/abs/extra-testing/community/vsftpd/vsftpd.d b/abs/extra-testing/community/vsftpd/vsftpd.d
new file mode 100644
index 0000000..b43a6d0
--- /dev/null
+++ b/abs/extra-testing/community/vsftpd/vsftpd.d
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/vsftpd`
+case "$1" in
+ start)
+ stat_busy "Starting vsftpd FTP Daemon"
+ if [ -z "$PID" ]; then
+ /usr/sbin/vsftpd &
+ PID=`pidof -o %PPID /usr/sbin/vsftpd`
+ if [ -z $PID ]; then
+ stat_fail
+ else
+ add_daemon vsftpd
+ stat_done
+ fi
+ else
+ stat_fail
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping vsftpd FTP Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon vsftpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac